package com.steering.pss.ydm.entity;

/**
 * 数据库表MAT_BC_M所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-06-11
 */
@SuppressWarnings("serial")
public class MatBcMEntity implements java.io.Serializable {
    /**
     * 材料号（管号）规则---(15)----母料号000
     */
    private String matNo = "";
    /**
     * 材料类别（8014在制品、成品、商品）
     */
    private String productFlag = "";
    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo = "";
    /**
     * 样管标志
     */
    private String sampleFlag = "";
    /**
     * 物料码
     */
    private String materialNo = "";
    /**
     * 物料描叙
     */
    private String materialName = "";
    /**
     * 投料物料描叙
     */
    private String inputMaterialName = "";
    /**
     * 投料物料码
     */
    private String inputMaterialNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码[最终成品标准]
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 生产合同号（1）
     */
    private String proOrderNo = "";
    /**
     * 生产订单号（1）
     */
    private String proOrderId = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同子行号
     */
    private String orderSeqNo = "";
    /**
     * 执行工艺文件
     */
    private String crafNo = "";
    /**
     * 工序代码
     */
    private String processCdoe = "";
    /**
     * 工序名称
     */
    private String processDesc = "";
    /**
     * 下工序代码
     */
    private String nextProcessCdoe = "";
    /**
     * 下工序名称
     */
    private String nextProcessDesc = "";
    /**
     * 生产产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 材料来源代码（1外购、2机组产出等）
     */
    private String matOriginCode = "";
    /**
     * 材料来源（1外购、2机组产出等）
     */
    private String matOriginName = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight = "";
    /**
     * 称重标志（0未委托、1委托)
     */
    private String measureFlag = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 打捆标志(1已打捆、0未打捆)
     */
    private String packFlag = "";
    /**
     * 材料去向代码
     */
    private String matGowhereCode = "";
    /**
     * 材料去向
     */
    private String matGowhereName = "";
    /**
     * 交货材料标志(空或‘0’：无；1：有交货材料)
     */
    private String matReturnFlag = "";
    /**
     * 质量封锁标志（0未封锁、1质量封锁）
     */
    private String lockFlag = "";
    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     */
    private String mngLockFlag = "";
    /**
     * 判定申请标记(1、已判定；0等待)
     */
    private String jugdeApplyFlag = "";
    /**
     * 判定申请单号
     */
    private String jugdeApplyCode = "";
    /**
     * 判定申请时间
     */
    private String jugdeApplyTime = "";
    /**
     * 表面判定结果代码
     */
    private String faceResultCode = "";
    /**
     * 表面判定时间
     */
    private String faceResultTime = "";
    /**
     * 表判责任人
     */
    private String faceMaker = "";
    /**
     * 公差判定结果代码
     */
    private String specResultCode = "";
    /**
     * 公差判定时间
     */
    private String specResultTime = "";
    /**
     * 公差判定责任人
     */
    private String specMaker = "";
    /**
     * 成分判定结果代码
     */
    private String chemResultCode = "";
    /**
     * 成分判定时间
     */
    private String chemResultTime = "";
    /**
     * 成分判定责任人
     */
    private String chemMaker = "";
    /**
     * 性能判定结果代码
     */
    private String phyResultCode = "";
    /**
     * 性能判定时间
     */
    private String phyResultTime = "";
    /**
     * 性能判定责任人
     */
    private String phyMaker = "";
    /**
     * 探伤结果代码[1探伤]
     */
    private String detectResultCode = "";
    /**
     * 水压结果代码
     */
    private String wpressureResultCode = "";
    /**
     * 工序判定结果代码
     */
    private String judgeResultCode = "";
    /**
     * 工序判定结果
     */
    private String judgeResult = "";
    /**
     * 工序判定时间
     */
    private String judgeResultTime = "";
    /**
     * 工序判定人
     */
    private String judgeMaker = "";
    /**
     * 入库标志(1是、0否)
     */
    private String instockFlag = "";
    /**
     * 入库时间
     */
    private String instockTime = "";
    /**
     * 条码号
     */
    private String barCode = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 工序判定标准
     */
    private String judgeStdName = "";
    /**
     * 备注(入库)
     */
    private String pipmemo = "";
    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     */
    private String soureCode = "";
    /**
     * 材料来源地名称
     */
    private String soureName = "";
    /**
     * 过磅单号
     */
    private String ponderNo = "";
    /**
     * 过磅重量
     */
    private String ponderGrossWt = "";
    /**
     * 改判记录ID(来源QCM_ZG_JUDGE_CHANGE，物料改判专用)
     */
    private String judgeId = "";
    /**
     * 状态('0'，未封锁   '1'，封锁)利库专用
     */
    private String lockLiku = "";
    /**
     * 工序交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     */
    private String qcmStaus = "";
    /**
     * 出库单编号
     */
    private String outstockDoc = "";
    /**
     * 炉次计划号
     */
    private String heatPlanNo = "";
    /**
     * 轧管炉号（带序号）
     */
    private String zgStoveSqe = "";
    /**
     * 工序订单1排产序号
     */
    private String gxPlanNo = "";
    /**
     * 材料号（轧管管号)
     */
    private String zgMatNo = "";
    /**
     * 产品标识(ABC)
     */
    private String target = "";
    /**
     * 工艺状态
     */
    private String processStatus = "";
    /**
     * 工序判定单号
     */
    private String jugdeConvicted = "";
    /**
     * 定尺类型代码(0定尺，1短尺，2长尺)
     */
    private String fixtypeCode = "";
    /**
     * 质量分组号（同申判单号、炉、批、组的前期下，当表面、公差、成分、理化、控伤、水压、加工七大项的组合值不一样时，组号必须分开）
     */
    private String qualityGroupZg = "";
    /**
     * 标示炉号
     */
    private String flagStoveNoZg = "";
    /**
     * 探伤结果代码2[2探伤]
     */
    private String detectResultCode1 = "";
    /**
     * 探伤等级1
     */
    private String testingGrade = "";
    /**
     * 探伤种类1
     */
    private String testingType = "";
    /**
     * 探伤等级2
     */
    private String testingGrade1 = "";
    /**
     * 探伤种类2
     */
    private String testingType1 = "";
    /**
     * 判定炉号(原料)
     */
    private String judgeStoveNoUp = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 订单编号(下一工序订单)
     */
    private String proPlanIdNext = "";
    /**
     * 工序排产序号(下一工序)
     */
    private String gxPlanNoNext = "";
    /**
     * 是否生成实际炉计划，1.是，0否
     */
    private String hangingFlag = "";
    /**
     * 分切数
     */
    private String cutNum = "";
    /**
     * 综合判定结果代码 
     */
    private String judgeTolresultCode = "";
    /**
     * 综合判定结果
     */
    private String judgeTolresult = "";
    /**
     * 综合判定时间
     */
    private String judgeTolresultTime = "";
    /**
     * 综合判定人
     */
    private String judgeTolmaker = "";
    /**
     * 是否紧急放行(0正常,1紧急放行)
     */
    private String instancyFlag = "";
    /**
     * 综合判定单号
     */
    private String jugdeTolconvicted = "";
    /**
     * 判定标准集合（CIC+PIC+SIC==)
     */
    private String judgeStdDes = "";
    /**
     * 管理封锁备注
     */
    private String mngLockRemark = "";
    /**
     * 质量封锁备注
     */
    private String lockRemark = "";
    /**
     * 申请判定顺序号
     */
    private String jugdeApplySequeno = "";
    /**
     * 下工序炉次计划号
     */
    private String heatPlanNoNext = "";

    /**
     * 材料号（管号）规则---(15)----母料号000
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（管号）规则---(15)----母料号000
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 样管标志
     * @return value
     */
    public String getSampleFlag() {
        return sampleFlag;
    }

    /**
     * 样管标志
     * @param sampleFlag value
     */
    public void setSampleFlag(String sampleFlag) {
        this.sampleFlag = sampleFlag;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 投料物料描叙
     * @return value
     */
    public String getInputMaterialName() {
        return inputMaterialName;
    }

    /**
     * 投料物料描叙
     * @param inputMaterialName value
     */
    public void setInputMaterialName(String inputMaterialName) {
        this.inputMaterialName = inputMaterialName;
    }

    /**
     * 投料物料码
     * @return value
     */
    public String getInputMaterialNo() {
        return inputMaterialNo;
    }

    /**
     * 投料物料码
     * @param inputMaterialNo value
     */
    public void setInputMaterialNo(String inputMaterialNo) {
        this.inputMaterialNo = inputMaterialNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码[最终成品标准]
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码[最终成品标准]
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 生产合同号（1）
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号（1）
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 生产订单号（1）
     * @return value
     */
    public String getProOrderId() {
        return proOrderId;
    }

    /**
     * 生产订单号（1）
     * @param proOrderId value
     */
    public void setProOrderId(String proOrderId) {
        this.proOrderId = proOrderId;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    /**
     * 合同子行号
     * @param orderSeqNo value
     */
    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    /**
     * 执行工艺文件
     * @return value
     */
    public String getCrafNo() {
        return crafNo;
    }

    /**
     * 执行工艺文件
     * @param crafNo value
     */
    public void setCrafNo(String crafNo) {
        this.crafNo = crafNo;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 下工序代码
     * @return value
     */
    public String getNextProcessCdoe() {
        return nextProcessCdoe;
    }

    /**
     * 下工序代码
     * @param nextProcessCdoe value
     */
    public void setNextProcessCdoe(String nextProcessCdoe) {
        this.nextProcessCdoe = nextProcessCdoe;
    }

    /**
     * 下工序名称
     * @return value
     */
    public String getNextProcessDesc() {
        return nextProcessDesc;
    }

    /**
     * 下工序名称
     * @param nextProcessDesc value
     */
    public void setNextProcessDesc(String nextProcessDesc) {
        this.nextProcessDesc = nextProcessDesc;
    }

    /**
     * 生产产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 生产产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginCode() {
        return matOriginCode;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @param matOriginCode value
     */
    public void setMatOriginCode(String matOriginCode) {
        this.matOriginCode = matOriginCode;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginName() {
        return matOriginName;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @param matOriginName value
     */
    public void setMatOriginName(String matOriginName) {
        this.matOriginName = matOriginName;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 称重标志（0未委托、1委托)
     * @return value
     */
    public String getMeasureFlag() {
        return measureFlag;
    }

    /**
     * 称重标志（0未委托、1委托)
     * @param measureFlag value
     */
    public void setMeasureFlag(String measureFlag) {
        this.measureFlag = measureFlag;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 打捆标志(1已打捆、0未打捆)
     * @return value
     */
    public String getPackFlag() {
        return packFlag;
    }

    /**
     * 打捆标志(1已打捆、0未打捆)
     * @param packFlag value
     */
    public void setPackFlag(String packFlag) {
        this.packFlag = packFlag;
    }

    /**
     * 材料去向代码
     * @return value
     */
    public String getMatGowhereCode() {
        return matGowhereCode;
    }

    /**
     * 材料去向代码
     * @param matGowhereCode value
     */
    public void setMatGowhereCode(String matGowhereCode) {
        this.matGowhereCode = matGowhereCode;
    }

    /**
     * 材料去向
     * @return value
     */
    public String getMatGowhereName() {
        return matGowhereName;
    }

    /**
     * 材料去向
     * @param matGowhereName value
     */
    public void setMatGowhereName(String matGowhereName) {
        this.matGowhereName = matGowhereName;
    }

    /**
     * 交货材料标志(空或‘0’：无；1：有交货材料)
     * @return value
     */
    public String getMatReturnFlag() {
        return matReturnFlag;
    }

    /**
     * 交货材料标志(空或‘0’：无；1：有交货材料)
     * @param matReturnFlag value
     */
    public void setMatReturnFlag(String matReturnFlag) {
        this.matReturnFlag = matReturnFlag;
    }

    /**
     * 质量封锁标志（0未封锁、1质量封锁）
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 质量封锁标志（0未封锁、1质量封锁）
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @return value
     */
    public String getMngLockFlag() {
        return mngLockFlag;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @param mngLockFlag value
     */
    public void setMngLockFlag(String mngLockFlag) {
        this.mngLockFlag = mngLockFlag;
    }

    /**
     * 判定申请标记(1、已判定；0等待)
     * @return value
     */
    public String getJugdeApplyFlag() {
        return jugdeApplyFlag;
    }

    /**
     * 判定申请标记(1、已判定；0等待)
     * @param jugdeApplyFlag value
     */
    public void setJugdeApplyFlag(String jugdeApplyFlag) {
        this.jugdeApplyFlag = jugdeApplyFlag;
    }

    /**
     * 判定申请单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 判定申请单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 判定申请时间
     * @return value
     */
    public String getJugdeApplyTime() {
        return jugdeApplyTime;
    }

    /**
     * 判定申请时间
     * @param jugdeApplyTime value
     */
    public void setJugdeApplyTime(String jugdeApplyTime) {
        this.jugdeApplyTime = jugdeApplyTime;
    }

    /**
     * 表面判定结果代码
     * @return value
     */
    public String getFaceResultCode() {
        return faceResultCode;
    }

    /**
     * 表面判定结果代码
     * @param faceResultCode value
     */
    public void setFaceResultCode(String faceResultCode) {
        this.faceResultCode = faceResultCode;
    }

    /**
     * 表面判定时间
     * @return value
     */
    public String getFaceResultTime() {
        return faceResultTime;
    }

    /**
     * 表面判定时间
     * @param faceResultTime value
     */
    public void setFaceResultTime(String faceResultTime) {
        this.faceResultTime = faceResultTime;
    }

    /**
     * 表判责任人
     * @return value
     */
    public String getFaceMaker() {
        return faceMaker;
    }

    /**
     * 表判责任人
     * @param faceMaker value
     */
    public void setFaceMaker(String faceMaker) {
        this.faceMaker = faceMaker;
    }

    /**
     * 公差判定结果代码
     * @return value
     */
    public String getSpecResultCode() {
        return specResultCode;
    }

    /**
     * 公差判定结果代码
     * @param specResultCode value
     */
    public void setSpecResultCode(String specResultCode) {
        this.specResultCode = specResultCode;
    }

    /**
     * 公差判定时间
     * @return value
     */
    public String getSpecResultTime() {
        return specResultTime;
    }

    /**
     * 公差判定时间
     * @param specResultTime value
     */
    public void setSpecResultTime(String specResultTime) {
        this.specResultTime = specResultTime;
    }

    /**
     * 公差判定责任人
     * @return value
     */
    public String getSpecMaker() {
        return specMaker;
    }

    /**
     * 公差判定责任人
     * @param specMaker value
     */
    public void setSpecMaker(String specMaker) {
        this.specMaker = specMaker;
    }

    /**
     * 成分判定结果代码
     * @return value
     */
    public String getChemResultCode() {
        return chemResultCode;
    }

    /**
     * 成分判定结果代码
     * @param chemResultCode value
     */
    public void setChemResultCode(String chemResultCode) {
        this.chemResultCode = chemResultCode;
    }

    /**
     * 成分判定时间
     * @return value
     */
    public String getChemResultTime() {
        return chemResultTime;
    }

    /**
     * 成分判定时间
     * @param chemResultTime value
     */
    public void setChemResultTime(String chemResultTime) {
        this.chemResultTime = chemResultTime;
    }

    /**
     * 成分判定责任人
     * @return value
     */
    public String getChemMaker() {
        return chemMaker;
    }

    /**
     * 成分判定责任人
     * @param chemMaker value
     */
    public void setChemMaker(String chemMaker) {
        this.chemMaker = chemMaker;
    }

    /**
     * 性能判定结果代码
     * @return value
     */
    public String getPhyResultCode() {
        return phyResultCode;
    }

    /**
     * 性能判定结果代码
     * @param phyResultCode value
     */
    public void setPhyResultCode(String phyResultCode) {
        this.phyResultCode = phyResultCode;
    }

    /**
     * 性能判定时间
     * @return value
     */
    public String getPhyResultTime() {
        return phyResultTime;
    }

    /**
     * 性能判定时间
     * @param phyResultTime value
     */
    public void setPhyResultTime(String phyResultTime) {
        this.phyResultTime = phyResultTime;
    }

    /**
     * 性能判定责任人
     * @return value
     */
    public String getPhyMaker() {
        return phyMaker;
    }

    /**
     * 性能判定责任人
     * @param phyMaker value
     */
    public void setPhyMaker(String phyMaker) {
        this.phyMaker = phyMaker;
    }

    /**
     * 探伤结果代码[1探伤]
     * @return value
     */
    public String getDetectResultCode() {
        return detectResultCode;
    }

    /**
     * 探伤结果代码[1探伤]
     * @param detectResultCode value
     */
    public void setDetectResultCode(String detectResultCode) {
        this.detectResultCode = detectResultCode;
    }

    /**
     * 水压结果代码
     * @return value
     */
    public String getWpressureResultCode() {
        return wpressureResultCode;
    }

    /**
     * 水压结果代码
     * @param wpressureResultCode value
     */
    public void setWpressureResultCode(String wpressureResultCode) {
        this.wpressureResultCode = wpressureResultCode;
    }

    /**
     * 工序判定结果代码
     * @return value
     */
    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    /**
     * 工序判定结果代码
     * @param judgeResultCode value
     */
    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }

    /**
     * 工序判定结果
     * @return value
     */
    public String getJudgeResult() {
        return judgeResult;
    }

    /**
     * 工序判定结果
     * @param judgeResult value
     */
    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }

    /**
     * 工序判定时间
     * @return value
     */
    public String getJudgeResultTime() {
        return judgeResultTime;
    }

    /**
     * 工序判定时间
     * @param judgeResultTime value
     */
    public void setJudgeResultTime(String judgeResultTime) {
        this.judgeResultTime = judgeResultTime;
    }

    /**
     * 工序判定人
     * @return value
     */
    public String getJudgeMaker() {
        return judgeMaker;
    }

    /**
     * 工序判定人
     * @param judgeMaker value
     */
    public void setJudgeMaker(String judgeMaker) {
        this.judgeMaker = judgeMaker;
    }

    /**
     * 入库标志(1是、0否)
     * @return value
     */
    public String getInstockFlag() {
        return instockFlag;
    }

    /**
     * 入库标志(1是、0否)
     * @param instockFlag value
     */
    public void setInstockFlag(String instockFlag) {
        this.instockFlag = instockFlag;
    }

    /**
     * 入库时间
     * @return value
     */
    public String getInstockTime() {
        return instockTime;
    }

    /**
     * 入库时间
     * @param instockTime value
     */
    public void setInstockTime(String instockTime) {
        this.instockTime = instockTime;
    }

    /**
     * 条码号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 条码号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 工序判定标准
     * @return value
     */
    public String getJudgeStdName() {
        return judgeStdName;
    }

    /**
     * 工序判定标准
     * @param judgeStdName value
     */
    public void setJudgeStdName(String judgeStdName) {
        this.judgeStdName = judgeStdName;
    }

    /**
     * 备注(入库)
     * @return value
     */
    public String getPipmemo() {
        return pipmemo;
    }

    /**
     * 备注(入库)
     * @param pipmemo value
     */
    public void setPipmemo(String pipmemo) {
        this.pipmemo = pipmemo;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @return value
     */
    public String getSoureCode() {
        return soureCode;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @param soureCode value
     */
    public void setSoureCode(String soureCode) {
        this.soureCode = soureCode;
    }

    /**
     * 材料来源地名称
     * @return value
     */
    public String getSoureName() {
        return soureName;
    }

    /**
     * 材料来源地名称
     * @param soureName value
     */
    public void setSoureName(String soureName) {
        this.soureName = soureName;
    }

    /**
     * 过磅单号
     * @return value
     */
    public String getPonderNo() {
        return ponderNo;
    }

    /**
     * 过磅单号
     * @param ponderNo value
     */
    public void setPonderNo(String ponderNo) {
        this.ponderNo = ponderNo;
    }

    /**
     * 过磅重量
     * @return value
     */
    public String getPonderGrossWt() {
        return ponderGrossWt;
    }

    /**
     * 过磅重量
     * @param ponderGrossWt value
     */
    public void setPonderGrossWt(String ponderGrossWt) {
        this.ponderGrossWt = ponderGrossWt;
    }

    /**
     * 改判记录ID(来源QCM_ZG_JUDGE_CHANGE，物料改判专用)
     * @return value
     */
    public String getJudgeId() {
        return judgeId;
    }

    /**
     * 改判记录ID(来源QCM_ZG_JUDGE_CHANGE，物料改判专用)
     * @param judgeId value
     */
    public void setJudgeId(String judgeId) {
        this.judgeId = judgeId;
    }

    /**
     * 状态('0'，未封锁   '1'，封锁)利库专用
     * @return value
     */
    public String getLockLiku() {
        return lockLiku;
    }

    /**
     * 状态('0'，未封锁   '1'，封锁)利库专用
     * @param lockLiku value
     */
    public void setLockLiku(String lockLiku) {
        this.lockLiku = lockLiku;
    }

    /**
     * 工序交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     * @return value
     */
    public String getQcmStaus() {
        return qcmStaus;
    }

    /**
     * 工序交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     * @param qcmStaus value
     */
    public void setQcmStaus(String qcmStaus) {
        this.qcmStaus = qcmStaus;
    }

    /**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 炉次计划号
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉次计划号
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 轧管炉号（带序号）
     * @return value
     */
    public String getZgStoveSqe() {
        return zgStoveSqe;
    }

    /**
     * 轧管炉号（带序号）
     * @param zgStoveSqe value
     */
    public void setZgStoveSqe(String zgStoveSqe) {
        this.zgStoveSqe = zgStoveSqe;
    }

    /**
     * 工序订单1排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序订单1排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 材料号（轧管管号)
     * @return value
     */
    public String getZgMatNo() {
        return zgMatNo;
    }

    /**
     * 材料号（轧管管号)
     * @param zgMatNo value
     */
    public void setZgMatNo(String zgMatNo) {
        this.zgMatNo = zgMatNo;
    }

    /**
     * 产品标识(ABC)
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 产品标识(ABC)
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 工艺状态
     * @return value
     */
    public String getProcessStatus() {
        return processStatus;
    }

    /**
     * 工艺状态
     * @param processStatus value
     */
    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    /**
     * 工序判定单号
     * @return value
     */
    public String getJugdeConvicted() {
        return jugdeConvicted;
    }

    /**
     * 工序判定单号
     * @param jugdeConvicted value
     */
    public void setJugdeConvicted(String jugdeConvicted) {
        this.jugdeConvicted = jugdeConvicted;
    }

    /**
     * 定尺类型代码(0定尺，1短尺，2长尺)
     * @return value
     */
    public String getFixtypeCode() {
        return fixtypeCode;
    }

    /**
     * 定尺类型代码(0定尺，1短尺，2长尺)
     * @param fixtypeCode value
     */
    public void setFixtypeCode(String fixtypeCode) {
        this.fixtypeCode = fixtypeCode;
    }

    /**
     * 质量分组号（同申判单号、炉、批、组的前期下，当表面、公差、成分、理化、控伤、水压、加工七大项的组合值不一样时，组号必须分开）
     * @return value
     */
    public String getQualityGroupZg() {
        return qualityGroupZg;
    }

    /**
     * 质量分组号（同申判单号、炉、批、组的前期下，当表面、公差、成分、理化、控伤、水压、加工七大项的组合值不一样时，组号必须分开）
     * @param qualityGroupZg value
     */
    public void setQualityGroupZg(String qualityGroupZg) {
        this.qualityGroupZg = qualityGroupZg;
    }

    /**
     * 标示炉号
     * @return value
     */
    public String getFlagStoveNoZg() {
        return flagStoveNoZg;
    }

    /**
     * 标示炉号
     * @param flagStoveNoZg value
     */
    public void setFlagStoveNoZg(String flagStoveNoZg) {
        this.flagStoveNoZg = flagStoveNoZg;
    }

    /**
     * 探伤结果代码2[2探伤]
     * @return value
     */
    public String getDetectResultCode1() {
        return detectResultCode1;
    }

    /**
     * 探伤结果代码2[2探伤]
     * @param detectResultCode1 value
     */
    public void setDetectResultCode1(String detectResultCode1) {
        this.detectResultCode1 = detectResultCode1;
    }

    /**
     * 探伤等级1
     * @return value
     */
    public String getTestingGrade() {
        return testingGrade;
    }

    /**
     * 探伤等级1
     * @param testingGrade value
     */
    public void setTestingGrade(String testingGrade) {
        this.testingGrade = testingGrade;
    }

    /**
     * 探伤种类1
     * @return value
     */
    public String getTestingType() {
        return testingType;
    }

    /**
     * 探伤种类1
     * @param testingType value
     */
    public void setTestingType(String testingType) {
        this.testingType = testingType;
    }

    /**
     * 探伤等级2
     * @return value
     */
    public String getTestingGrade1() {
        return testingGrade1;
    }

    /**
     * 探伤等级2
     * @param testingGrade1 value
     */
    public void setTestingGrade1(String testingGrade1) {
        this.testingGrade1 = testingGrade1;
    }

    /**
     * 探伤种类2
     * @return value
     */
    public String getTestingType1() {
        return testingType1;
    }

    /**
     * 探伤种类2
     * @param testingType1 value
     */
    public void setTestingType1(String testingType1) {
        this.testingType1 = testingType1;
    }

    /**
     * 判定炉号(原料)
     * @return value
     */
    public String getJudgeStoveNoUp() {
        return judgeStoveNoUp;
    }

    /**
     * 判定炉号(原料)
     * @param judgeStoveNoUp value
     */
    public void setJudgeStoveNoUp(String judgeStoveNoUp) {
        this.judgeStoveNoUp = judgeStoveNoUp;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 订单编号(下一工序订单)
     * @return value
     */
    public String getProPlanIdNext() {
        return proPlanIdNext;
    }

    /**
     * 订单编号(下一工序订单)
     * @param proPlanIdNext value
     */
    public void setProPlanIdNext(String proPlanIdNext) {
        this.proPlanIdNext = proPlanIdNext;
    }

    /**
     * 工序排产序号(下一工序)
     * @return value
     */
    public String getGxPlanNoNext() {
        return gxPlanNoNext;
    }

    /**
     * 工序排产序号(下一工序)
     * @param gxPlanNoNext value
     */
    public void setGxPlanNoNext(String gxPlanNoNext) {
        this.gxPlanNoNext = gxPlanNoNext;
    }

    /**
     * 是否生成实际炉计划，1.是，0否
     * @return value
     */
    public String getHangingFlag() {
        return hangingFlag;
    }

    /**
     * 是否生成实际炉计划，1.是，0否
     * @param hangingFlag value
     */
    public void setHangingFlag(String hangingFlag) {
        this.hangingFlag = hangingFlag;
    }

    /**
     * 分切数
     * @return value
     */
    public String getCutNum() {
        return cutNum;
    }

    /**
     * 分切数
     * @param cutNum value
     */
    public void setCutNum(String cutNum) {
        this.cutNum = cutNum;
    }

    /**
     * 综合判定结果代码 
     * @return value
     */
    public String getJudgeTolresultCode() {
        return judgeTolresultCode;
    }

    /**
     * 综合判定结果代码 
     * @param judgeTolresultCode value
     */
    public void setJudgeTolresultCode(String judgeTolresultCode) {
        this.judgeTolresultCode = judgeTolresultCode;
    }

    /**
     * 综合判定结果
     * @return value
     */
    public String getJudgeTolresult() {
        return judgeTolresult;
    }

    /**
     * 综合判定结果
     * @param judgeTolresult value
     */
    public void setJudgeTolresult(String judgeTolresult) {
        this.judgeTolresult = judgeTolresult;
    }

    /**
     * 综合判定时间
     * @return value
     */
    public String getJudgeTolresultTime() {
        return judgeTolresultTime;
    }

    /**
     * 综合判定时间
     * @param judgeTolresultTime value
     */
    public void setJudgeTolresultTime(String judgeTolresultTime) {
        this.judgeTolresultTime = judgeTolresultTime;
    }

    /**
     * 综合判定人
     * @return value
     */
    public String getJudgeTolmaker() {
        return judgeTolmaker;
    }

    /**
     * 综合判定人
     * @param judgeTolmaker value
     */
    public void setJudgeTolmaker(String judgeTolmaker) {
        this.judgeTolmaker = judgeTolmaker;
    }

    /**
     * 是否紧急放行(0正常,1紧急放行)
     * @return value
     */
    public String getInstancyFlag() {
        return instancyFlag;
    }

    /**
     * 是否紧急放行(0正常,1紧急放行)
     * @param instancyFlag value
     */
    public void setInstancyFlag(String instancyFlag) {
        this.instancyFlag = instancyFlag;
    }

    /**
     * 综合判定单号
     * @return value
     */
    public String getJugdeTolconvicted() {
        return jugdeTolconvicted;
    }

    /**
     * 综合判定单号
     * @param jugdeTolconvicted value
     */
    public void setJugdeTolconvicted(String jugdeTolconvicted) {
        this.jugdeTolconvicted = jugdeTolconvicted;
    }

    /**
     * 判定标准集合（CIC+PIC+SIC==)
     * @return value
     */
    public String getJudgeStdDes() {
        return judgeStdDes;
    }

    /**
     * 判定标准集合（CIC+PIC+SIC==)
     * @param judgeStdDes value
     */
    public void setJudgeStdDes(String judgeStdDes) {
        this.judgeStdDes = judgeStdDes;
    }

    /**
     * 管理封锁备注
     * @return value
     */
    public String getMngLockRemark() {
        return mngLockRemark;
    }

    /**
     * 管理封锁备注
     * @param mngLockRemark value
     */
    public void setMngLockRemark(String mngLockRemark) {
        this.mngLockRemark = mngLockRemark;
    }

    /**
     * 质量封锁备注
     * @return value
     */
    public String getLockRemark() {
        return lockRemark;
    }

    /**
     * 质量封锁备注
     * @param lockRemark value
     */
    public void setLockRemark(String lockRemark) {
        this.lockRemark = lockRemark;
    }

    /**
     * 申请判定顺序号
     * @return value
     */
    public String getJugdeApplySequeno() {
        return jugdeApplySequeno;
    }

    /**
     * 申请判定顺序号
     * @param jugdeApplySequeno value
     */
    public void setJugdeApplySequeno(String jugdeApplySequeno) {
        this.jugdeApplySequeno = jugdeApplySequeno;
    }

    /**
     * 下工序炉次计划号
     * @return value
     */
    public String getHeatPlanNoNext() {
        return heatPlanNoNext;
    }

    /**
     * 下工序炉次计划号
     * @param heatPlanNoNext value
     */
    public void setHeatPlanNoNext(String heatPlanNoNext) {
        this.heatPlanNoNext = heatPlanNoNext;
    }
}
